petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSAdjointComputeDRDPFunction

Runs the user-defined DRDP function.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSAdjointComputeDRDPFunction(TS ts,PetscReal t,Vec y,Vec *drdp)

Collective on TS

### Input Parameters

ts -The TS context obtained from TSCreate()

### Notes

TSDRDPFunction() is typically used for sensitivity implementation, so most users would not generally call this routine themselves.

### Keywords

TS, sensitivity

### See Also

TSAdjointSetDRDPFunction()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages